          program dotproduct
          INTEGER SIZE
          PARAMETER(SIZE=1000000)
          REAL A(SIZE),B(SIZE)
          INTEGER I
          DO I=1,SIZE
          A(I)=SIN(I*1.0)
          B(I)=COS(I*1.0)
          ENDDO 
          DOT=0.0
          DO I=1,SIZE
          DOT=DOT+A(I)*B(I)
          ENDDO
          print*,'DOT PRODUCT OF A and B IS', DOT
          STOP
          END
